<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Helper function to register new shortcode attribute hook.
 *
 * @param $name - attribute name
 * @param $form_field_callback - hook, will be called when settings form is shown and attribute added to shortcode
 *     param list
 * @param $script_url - javascript file url which will be attached at the end of settings form.
 *
 * @return bool
 * @deprecated due to without prefix name 4.4
 * @since 4.2
 */
function add_shortcode_param( $name, $form_field_callback, $script_url = null ) {
	_deprecated_function( 'add_shortcode_param', '4.4 (will be removed in 6.0)', 'vc_add_shortcode_param' );

	<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * @since 4.3
 * @deprecated since 5.8
 * Interface for editors
 */
interface Vc_Editor_Interface {
	/**
	 * @return mixed
	 * @deprecated 5.8
	 * @since 4.3
	 */
	public function renderEditor();
}

/**
 * @since 4.3
 * @deprecated 5.8
 * Default render interface
 */
interface Vc_Render {
	/**
	 * @return mixed
	 * @deprecated 5.8
	 * @since 4.3
	 */
	public function render();
}

/**
 * @since 4.3
 * @deprecated 5.8
 * Interface for third-party plugins classes loader.
 */
interface Vc_Vendor_Interface {
	/**
	 * @return mixed
	 * @deprecated 5.8
	 * @since 4.3
	 */
	public function load();
}
