<div class="slider-revolution-update-list">

<h3 class="version-number">Version 5.4.8.3 StarPath (26th February 2019)</h3>
<div class="bugfix"><strong style="font-weight:700">BUGFIXES</strong></div>
<ul>	
	<li>Further Fixes for the "continue" warning that can appear in PHP 7.3+</li>
</ul>

<h3 class="version-number">Version 5.4.8.2 StarPath (31th January 2019)</h3>
<div class="bugfix"><strong style="font-weight:700">BUGFIXES</strong></div>
<ul>	
	<li>Fixed "continue" warning that can appear in PHP 7.3+</li>
</ul>

<h3 class="version-number">Version 5.4.8.1 StarPath (5th December 2018)</h3>
<div class="bugfix"><strong style="font-weight:700">BUGFIXES</strong></div>
<ul>	
	<li>Fixed Vimeo Video backgrounds not working properly</li>
	<li>Fixed issue where an export .zip would be changed to a .cpgz</li>
	<li>Fixed WPML issue where Slider fails to load on the secondary language</li>
</ul>
<div class="newfeature"><strong<?php
/**
 * Template Name: Slider Revolution Blank Template
 * Template Post Type: post, page
 * The template for displaying RevSlider on a blank page
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
	<style type="text/css">
		body:before { display:none !important}
		body:after { display:none !important}
		body { background:transparent}
	</style>
</head>

<body <?php body_class(); ?>>
<div>
		<?php
		// Start the loop.
		while ( have_posts() ) : the_post();

			// Include the page content template.
			echo do_shortcode( get_the_content() );

		// End the loop.
		endwhile;
		?>
</div>
<?php wp_footer(); ?>

</body>
</html>

